> For the complete documentation index, see [llms.txt](https://docs.questera.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.questera.ai/questera-ai-sdks/rest-apis/gamification/web3-module/dynamic-nft-object.md).

# Dynamic NFT Object

<table><thead><tr><th width="176">Field</th><th width="111.33333333333331">Type</th><th>Description</th></tr></thead><tbody><tr><td>userAddress</td><td>string</td><td>User eth address to which this dynamic nft belongs to</td></tr><tr><td>entityId</td><td>string</td><td>Entity id for which dynamic nft belongs to</td></tr><tr><td>type</td><td>string</td><td>Evolution of the dynamic nft depends upon its type. It can be "STATIC" or "DYNAMIC_BADGES_1", "DYNAMIC_COLOR_1", "AVATAR_1" etc. </td></tr><tr><td>nftTokenId</td><td>string</td><td>ERC721 token id for the entity dynamic nft contract</td></tr><tr><td>title</td><td>string</td><td>Title of the dynamic nft</td></tr><tr><td>description</td><td>string</td><td>More details about the dynamic nft</td></tr><tr><td>image</td><td>string</td><td>Image snapshot for the nft</td></tr><tr><td>animation_url</td><td>string</td><td>For the non image dynamic nft</td></tr><tr><td>metadataIPFS</td><td>string</td><td>IPFS hash for the metadata for the ERC721 Dynamic NFT</td></tr><tr><td>attributes</td><td>array</td><td>Attributes contains skills and badges included in the dynamic nft</td></tr><tr><td>totalXP</td><td>number</td><td>Total xp that the user accumulated for the entity </td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.questera.ai/questera-ai-sdks/rest-apis/gamification/web3-module/dynamic-nft-object.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
